aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--docs/misc/codenames.md4
-rwxr-xr-xlibs/project5
-rwxr-xr-xlibs/tool6
-rwxr-xr-xprojects/cbfstool/cbfstool4
-rwxr-xr-xprojects/cbmem/cbmem4
-rwxr-xr-xprojects/cros-scripts/cros-scripts4
-rwxr-xr-xprojects/cros-tools/cros-tools4
-rwxr-xr-xprojects/flashmap/flashmap4
-rwxr-xr-xprojects/flashrom-cros/flashrom-cros4
-rwxr-xr-xprojects/hdctools/hdctools4
-rwxr-xr-xprojects/libreboot-all/libreboot-all4
-rw-r--r--projects/libreboot-images/configs/projects12
-rw-r--r--projects/libreboot-images/configs/projects-build11
-rw-r--r--projects/libreboot-images/configs/projects-download9
-rwxr-xr-xprojects/libreboot-images/libreboot-images4
-rwxr-xr-xprojects/libreboot-release/libreboot-release4
-rwxr-xr-xprojects/libreboot-sources/libreboot-sources4
-rw-r--r--projects/libreboot-tools/configs/projects5
-rw-r--r--projects/libreboot-tools/configs/projects-build7
-rw-r--r--projects/libreboot-tools/configs/projects-download4
-rwxr-xr-xprojects/libreboot-tools/libreboot-tools4
-rwxr-xr-xprojects/mosys/mosys4
-rwxr-xr-xprojects/nvramtool/nvramtool4
-rwxr-xr-xprojects/vpd/vpd4
-rwxr-xr-xtools/dependencies/dependencies2
-rwxr-xr-xtools/dependencies/dependencies-helper8
26 files changed, 114 insertions, 19 deletions
diff --git a/docs/misc/codenames.md b/docs/misc/codenames.md
index adaae6be..ce312290 100644
--- a/docs/misc/codenames.md
+++ b/docs/misc/codenames.md
@@ -50,10 +50,10 @@ List of models and codenames
- ThinkPad T400s (slim): Shinai-MV
- ThinkPad R500: Waikiki-3
-- R6x/T6x (whole family): Davinci. They don't have codename label in
+- T6x (whole family): Davinci. They don't have codename label in
silkscreen so you need to use FRU label of the board, which is placed
under RAM sticks.
-- R60/T60:
+- T60:
- with dGPU (radeon): Magi-0 (last number is the board revision)
- with iGPU: Lisa-0
diff --git a/libs/project b/libs/project
index a073beef..f90b368e 100755
--- a/libs/project
+++ b/libs/project
@@ -152,12 +152,13 @@ project_action() {
project_action_check "$action" "$project" "$@"
- printf 1>&2 '%s\n' "Project $project $action (with ${arguments:-no argument})"
+ printf '%s\n\n' "Project $project $action (with ${arguments:-no argument})"
if "$action" "$@"; then
- printf 1>&2 '\n%s\n' "Project $project $action (with ${arguments:-no argument}) completed"
+ printf '\n%s\n' "Project $project $action (with ${arguments:-no argument}) completed"
else
printf 1>&2 '\n%s\n' "Project $project $action (with ${arguments:-no argument}) failed"
+
return 1
fi
)
diff --git a/libs/tool b/libs/tool
index 2732238a..f4e8a783 100755
--- a/libs/tool
+++ b/libs/tool
@@ -97,19 +97,21 @@ tool_action() {
return 0
fi
- printf 1>&2 '%s\n' "Tool $tool $action (with ${arguments:-no argument})"
+ printf '%s\n\n' "Tool $tool $action (with ${arguments:-no argument})"
(
set -e
+
"$action" "$@"
)
if [[ $? -ne 0 ]]
then
printf 1>&2 '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) failed"
+
return 1
else
- printf 1>&2 '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) completed"
+ printf '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) completed"
fi
)
}
diff --git a/projects/cbfstool/cbfstool b/projects/cbfstool/cbfstool
index c665bdca..f50accfd 100755
--- a/projects/cbfstool/cbfstool
+++ b/projects/cbfstool/cbfstool
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository="coreboot"
diff --git a/projects/cbmem/cbmem b/projects/cbmem/cbmem
index 3e240529..cead0de5 100755
--- a/projects/cbmem/cbmem
+++ b/projects/cbmem/cbmem
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository="coreboot"
diff --git a/projects/cros-scripts/cros-scripts b/projects/cros-scripts/cros-scripts
index 0db79f96..1171e459 100755
--- a/projects/cros-scripts/cros-scripts
+++ b/projects/cros-scripts/cros-scripts
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
install() {
project_install "$project"
}
diff --git a/projects/cros-tools/cros-tools b/projects/cros-tools/cros-tools
index 41d4c8f3..dfb0a3a6 100755
--- a/projects/cros-tools/cros-tools
+++ b/projects/cros-tools/cros-tools
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
project_action_projects "$action" "$project" "$@"
}
diff --git a/projects/flashmap/flashmap b/projects/flashmap/flashmap
index cc1cb81b..5a10ec17 100755
--- a/projects/flashmap/flashmap
+++ b/projects/flashmap/flashmap
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository=$project
diff --git a/projects/flashrom-cros/flashrom-cros b/projects/flashrom-cros/flashrom-cros
index a1259c2c..75b8f471 100755
--- a/projects/flashrom-cros/flashrom-cros
+++ b/projects/flashrom-cros/flashrom-cros
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository=$project
diff --git a/projects/hdctools/hdctools b/projects/hdctools/hdctools
index e30b1f7a..e2274cbe 100755
--- a/projects/hdctools/hdctools
+++ b/projects/hdctools/hdctools
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository=$project
diff --git a/projects/libreboot-all/libreboot-all b/projects/libreboot-all/libreboot-all
index 41d4c8f3..dfb0a3a6 100755
--- a/projects/libreboot-all/libreboot-all
+++ b/projects/libreboot-all/libreboot-all
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
project_action_projects "$action" "$project" "$@"
}
diff --git a/projects/libreboot-images/configs/projects b/projects/libreboot-images/configs/projects
index 39bcfee9..d191a28e 100644
--- a/projects/libreboot-images/configs/projects
+++ b/projects/libreboot-images/configs/projects
@@ -1,6 +1,12 @@
coreboot
+cros-ec
crossgcc
-vboot devices
-libpayload
+dejavu-fonts
depthcharge
-cros-ec
+fontconfig
+grub
+ich9gen
+libpayload
+memtest86plus
+seabios
+vboot devices
diff --git a/projects/libreboot-images/configs/projects-build b/projects/libreboot-images/configs/projects-build
index 9971c96c..561358a5 100644
--- a/projects/libreboot-images/configs/projects-build
+++ b/projects/libreboot-images/configs/projects-build
@@ -1,2 +1,11 @@
-coreboot
+crossgcc
cros-ec
+vboot devices
+libpayload
+depthcharge
+dejavu-fonts
+grub
+seabios
+memtest86plus
+ich9gen
+coreboot
diff --git a/projects/libreboot-images/configs/projects-download b/projects/libreboot-images/configs/projects-download
new file mode 100644
index 00000000..509e7d9f
--- /dev/null
+++ b/projects/libreboot-images/configs/projects-download
@@ -0,0 +1,9 @@
+coreboot
+cros-ec
+dejavu-fonts
+depthcharge
+fontconfig
+grub
+memtest86plus
+seabios
+vboot devices
diff --git a/projects/libreboot-images/libreboot-images b/projects/libreboot-images/libreboot-images
index 41d4c8f3..dfb0a3a6 100755
--- a/projects/libreboot-images/libreboot-images
+++ b/projects/libreboot-images/libreboot-images
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
project_action_projects "$action" "$project" "$@"
}
diff --git a/projects/libreboot-release/libreboot-release b/projects/libreboot-release/libreboot-release
index ed9604e1..2051ad14 100755
--- a/projects/libreboot-release/libreboot-release
+++ b/projects/libreboot-release/libreboot-release
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
install() {
local install_path=$(project_install_path "$project" "$@")
diff --git a/projects/libreboot-sources/libreboot-sources b/projects/libreboot-sources/libreboot-sources
index bbf42315..7dbf4b97 100755
--- a/projects/libreboot-sources/libreboot-sources
+++ b/projects/libreboot-sources/libreboot-sources
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
update() {
local repository_path=$root
diff --git a/projects/libreboot-tools/configs/projects b/projects/libreboot-tools/configs/projects
index 4b0eeea4..6abc8a1f 100644
--- a/projects/libreboot-tools/configs/projects
+++ b/projects/libreboot-tools/configs/projects
@@ -1,4 +1,7 @@
+bucts
cbfstool
cbmem
-nvramtool
cros-tools
+crossgcc
+flashrom
+nvramtool
diff --git a/projects/libreboot-tools/configs/projects-build b/projects/libreboot-tools/configs/projects-build
new file mode 100644
index 00000000..6abc8a1f
--- /dev/null
+++ b/projects/libreboot-tools/configs/projects-build
@@ -0,0 +1,7 @@
+bucts
+cbfstool
+cbmem
+cros-tools
+crossgcc
+flashrom
+nvramtool
diff --git a/projects/libreboot-tools/configs/projects-download b/projects/libreboot-tools/configs/projects-download
index c7a5d1ac..91a9e257 100644
--- a/projects/libreboot-tools/configs/projects-download
+++ b/projects/libreboot-tools/configs/projects-download
@@ -1,5 +1,3 @@
coreboot
-cbfstool
-cbmem
-nvramtool
cros-tools
+flashrom
diff --git a/projects/libreboot-tools/libreboot-tools b/projects/libreboot-tools/libreboot-tools
index 41d4c8f3..dfb0a3a6 100755
--- a/projects/libreboot-tools/libreboot-tools
+++ b/projects/libreboot-tools/libreboot-tools
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
project_action_projects "$action" "$project" "$@"
}
diff --git a/projects/mosys/mosys b/projects/mosys/mosys
index fd122fd1..fecf9267 100755
--- a/projects/mosys/mosys
+++ b/projects/mosys/mosys
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
dependencies() {
project_dependencies "$project" "$@"
}
diff --git a/projects/nvramtool/nvramtool b/projects/nvramtool/nvramtool
index 96813239..ea549788 100755
--- a/projects/nvramtool/nvramtool
+++ b/projects/nvramtool/nvramtool
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository="coreboot"
diff --git a/projects/vpd/vpd b/projects/vpd/vpd
index 1105e588..84b3cdb6 100755
--- a/projects/vpd/vpd
+++ b/projects/vpd/vpd
@@ -15,6 +15,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+usage() {
+ project_usage_actions "$project"
+}
+
download() {
local repository=$project
diff --git a/tools/dependencies/dependencies b/tools/dependencies/dependencies
index cc9b2b38..53d1ef7d 100755
--- a/tools/dependencies/dependencies
+++ b/tools/dependencies/dependencies
@@ -31,7 +31,7 @@ print() {
local tool_path="$(tool_path "$tool")"
if [[ -z "$arch" ]]; then
- printf '\n%s\n' 'uname(1) produced no output. Exiting' 1>&2
+ printf '%s\n' 'uname(1) produced no output. Exiting' 1>&2
return 1
fi
diff --git a/tools/dependencies/dependencies-helper b/tools/dependencies/dependencies-helper
index 9e02ad3c..238af125 100755
--- a/tools/dependencies/dependencies-helper
+++ b/tools/dependencies/dependencies-helper
@@ -20,11 +20,11 @@ dependencies_print() {
shift
if [[ "$distro" == 'parabola' ]]; then
- printf '\n%s\n' 'Enable the multilib repository in /etc/pacman.conf'
+ printf '%s\n' 'Enable the multilib repository in /etc/pacman.conf'
printf '\n%s\n' 'Then, run the following command as root:'
printf '\n%s%s\n' 'pacman -S --needed ' "$*"
else
- printf '\n%s\n' 'You will need to run the following command as root:'
+ printf '%s\n' 'You will need to run the following command as root:'
printf '\n%s%s\n' 'apt-get -y install ' "$*"
fi
}
@@ -45,7 +45,7 @@ dependencies_arch_supported() {
local distro_dir="$tool_path/$CONFIGS/$distro"
if ! [[ -d "$distro_dir/$arch" ]]; then
- printf '\n%s\n' "Architecture \"$arch\" is not supported" 1>&2
+ printf '%s\n' "Architecture \"$arch\" is not supported" 1>&2
return 1
fi
@@ -64,7 +64,7 @@ dependencies_distro_supported() {
IFS='|' eval 'local distro_list="${targets_list[*]}"'
if [[ "$distro" != @($distro_list) ]]; then
- printf '\n%s' "Argument \"$distro\" is not supported. " 1>&2
+ printf '%s' "Argument \"$distro\" is not supported. " 1>&2
printf '%s\n' 'Check spelling?' 1>&2
usage